;The Commands.
;This is how you tell your character to move, based on what inputs the player applies.
;This is also where you'll be putting your AI.

[Remap] ;These are all mandatory. Do not remove any of them!
x = x
y = y
z = z
a = a
b = b
c = c
s = s

[Defaults]
command.time = 15
command.buffer.time = 1

;======================================;
;         COMMANDS                     ;
;======================================;

[Command]
name = "Mewtwo"
command = D,DB,B,y
time = 30

[Command]
name = "Yahoo"
command = D,DB,B,b
time = 30

[Command]
name = "Brute"
command = D,DB,B,a
time = 30

[Command]
name = "Flanders"
command = D,DB,B,x
time = 30

[Command]
name = "Flukenest"
command = D,DF,F,z
time = 30

[Command]
name = "Shield"
command = D,DF,F,y
time = 30

[Command]
name = "Dragun"
command = D,DF,F,x
time = 30

[Command]
name = "Car"
command = D,DF,F,a
time = 30

[Command]
name = "ShortCircuit"
command = D,DF,F,b
time = 30

[Command]
name = "MaliceCannon"
command = D,DB,B,c
time = 30

[Command]
name = "BigRigs"
command = D,DF,F,D,DF,F,a
time = 30

;======================================;
;         DASHING AND RECOVERY         ;
;======================================;


[Command]
name = "FF"     ;Required (do not remove)
command = F, F
time = 10

[Command]
name = "BB"     ;Required (do not remove)
command = B, B
time = 10

[Command]
name = "recovery";Required (do not remove)
command = x+y
time = 1

;======================================;
;          DIRECTIONAL INPUTS          ;
;======================================;
[Command]
name = "holdfwd";Required (do not remove)
command = /$F
time = 1

[Command]
name = "holdback";Required (do not remove)
command = /$B
time = 1

[Command]
name = "holdup" ;Required (do not remove)
command = /$U
time = 1

[Command]
name = "holddown";Required (do not remove)
command = /$D
time = 1

;======================================;
;         BUTTON INPUTS          ;
;======================================;
[Command]
name = "s"
command = s
time = 1

[Command]
name = "x"
command = x
time = 1

[Command]
name = "y"
command = y
time = 1

[Command]
name = "z"
command = z
time = 1

[Command]
name = "a"
command = a
time = 1

[Command]
name = "b"
command = b
time = 1

[Command]
name = "c"
command = c
time =1

[Command]
name = "Holdc"
command = /c
time = 1 

;---------------------------------------------------------------------------
;===========================================================================

[StateDef -1]

[State -1, AI ON] ; Turn the AI on when
Type = VarSet
TriggerAll = Var(59) < 1; it is not on yet and
TriggerAll = RoundState=2 ; the fight has started and is not over yet and
Trigger1 = AILevel>0 ; the computer is playing the character
v = 59
value= 1 ; value of 1 will mean the AI is on
Ignorehitpause=1

[State -1, AI OFF] ; Turn the AI off when
Type=VarSet
Trigger1=var(59)>0 ; it is on and
Trigger1=RoundState!=2 ; the round is not started yet or is already over
Trigger2=!IsHelper ; OR if we are a player, but
Trigger2=AILevel=0 ; the computer is not in control
v=59
value=0 ; value of 0 will mean the AI is off. values other than 0 and 1 are not used in this example, we have only one AI mode, the normal one.
Ignorehitpause=1

[State -1]
Type=VarSet
Trigger1=1
var(50)= 10 ;Change the 60 to whatever you want. Take note of this value, as I mention it below.

[State -1]
Type=Changestate
Triggerall=Inguarddist; Guard when in guard distance
Triggerall=var(59)>0; and the AI is on
Triggerall=ctrl; and we have control
Trigger1 = random<(var(50)* 25) ; Feel free to change the * 99 to whatever you want, 
value=120

[State -1]; The engine will still guard by through pressing the back button, we need to disable that.
Type=Assertspecial
Triggerall=StateNo!=[120,160]
Trigger1=var(59)>0
flag=noairguard
flag2=nocrouchguard
flag3=nostandguard

;-------------------------------------;

[State -1, Shine]
type = ChangeState
value = 220
Triggerall = var(59)>0
triggerall = enemy,backedgedist < 10
triggerall = statetype = S
triggerall = stateno = 100
Triggerall = p2bodydist x  <= 50
triggerall = p2bodydist y = [-80,80]
trigger1 = random<var(50) * 5
Trigger2 = p2movetype = H
trigger2 = stateno = 223 
trigger2 = random<var(50) * 100

[State -1, Shine]
type = ChangeState
value = 220
Triggerall = var(59)>0
triggerall = enemy,backedgedist < 10
triggerall = statetype = S
triggerall = ctrl
Triggerall = p2bodydist x  <= 50
triggerall = p2bodydist y = [-80,80]
trigger1 = random<var(50) * 5
Trigger2 = p2movetype = H
trigger2 = stateno = 223 
trigger2 = random<var(50) * 100

[State -1, Flukenest]
type = ChangeState
value = 1040
Triggerall = var(59)>0
triggerall = numhelper(1041) = 0
triggerall = power >= 1000
triggerall = statetype = S
Triggerall = p2bodydist x  <= 75
triggerall = p2bodydist y = [-50,50]
trigger1 = p2stateno = 5525 
trigger1 = stateno = 100
trigger1 = random<var(50) * 50

[State -1, Flukenest]
type = ChangeState
value = 1040
Triggerall = var(59)>0
triggerall = numhelper(1041) = 0
triggerall = power >= 1000
triggerall = statetype = S
Triggerall = p2bodydist x  <= 75
triggerall = p2bodydist y = [-50,50]
trigger1 = p2stateno = 5525 
trigger1 = ctrl
trigger1 = random<var(50) * 50

[State -1, Gnasher]
type = ChangeState
value = 520
Triggerall = var(59)>0
triggerall = statetype = S
Triggerall = P2statetype = S
Trigger1 = p2bodydist x  <= 70
trigger1 = p2bodydist y = [-50,50] 
trigger1 = stateno = 100
trigger1 = p2stateno = 5525

[State -1, Gnasher]
type = ChangeState
value = 520
Triggerall = var(59)>0
triggerall = statetype = S
Triggerall = P2statetype = S
Trigger1 = p2bodydist x  <= 70
trigger1 = p2bodydist y = [-50,50] 
trigger1 = ctrl
trigger1 = p2stateno = 5525

[State -1, Uppercut]
type = ChangeState
value = 230
Triggerall = var(59)>0
triggerall = statetype = S
Triggerall = p2stateno = 5525
trigger1 = ctrl
trigger1 = random<var(50) * 50

[State -1, Uppercut]
type = ChangeState
value = 230
Triggerall = var(59)>0
triggerall = statetype = S
Triggerall = p2stateno = 5525
trigger1 = stateno = 100
trigger1 = random<var(50) * 50

[State -1, ShuttleLoop]
type = ChangeState
value = 580
Triggerall = var(59)>0
triggerall = statetype = A
trigger1 = ctrl
trigger1 = random<var(50) * 20

[State -1, MetalBlade]
type = ChangeState
value = 607
Triggerall = var(59)>0
triggerall = statetype = A
Triggerall = numhelper(601) = 0
trigger1 = ctrl
trigger1 = random<var(50) * 2

[State -1, MetalBlade]
type = ChangeState
value = 596
Triggerall = var(59)>0
triggerall = statetype = A
Triggerall = numhelper(591) = 0
trigger1 = ctrl
trigger1 = random<var(50) * 7

[State -1, Zoop]
type = ChangeState
value = 245
Triggerall = var(59)>0
triggerall = statetype = A
trigger1 = ctrl
trigger1 = random<var(50) * 20
trigger2 = stateno = 230 && movehit
trigger3 = stateno = 230 
trigger3 = p2stateno = 5525

[State -1,WitchTime]
type = ChangeState
value = 555
Triggerall = var(59)>0
triggerall = statetype = A
Trigger1 = p2MoveType = A
trigger1 = ctrl
trigger1 = random<var(50) * 75

[State -1, BlackLotus]
type = ChangeState
value = 9000
Triggerall = var(59)>0
triggerall = statetype = S
triggerall = var(12) = 0
trigger1 = stateno = 100
trigger1 = random<var(50) * 1
trigger2 = p2stateno = 5525
trigger2 = random<var(50) * 15

[State -1, BlackLotus]
type = ChangeState
value = 9000
Triggerall = var(59)>0
triggerall = statetype = S
triggerall = var(12) = 0
trigger1 = ctrl
trigger1 = random<var(50) * 1
trigger2 = p2stateno = 5525
trigger2 = random<var(50) * 15

[State -1, CornCob]
type = ChangeState
value = 537
Triggerall = var(59)>0
triggerall = statetype = A
Triggerall = Numhelper(531) = 0
trigger1 = ctrl
trigger1 = random<var(50) * 20

[State -1, Kirov]
type = ChangeState
value = 565
Triggerall = var(59)>0
triggerall = statetype = A
Triggerall = Numhelper(561) = 0
trigger1 = ctrl
trigger1 = random<var(50) * 20

[State -1, Flukenest]
type = ChangeState
value = 1045
Triggerall = var(59)>0
triggerall = numhelper(1041) = 0
triggerall = power >= 1000
triggerall = statetype = A
Triggerall = p2bodydist x  <= 75
triggerall = p2bodydist y >= 0
trigger1 = stateno = 100
trigger1 = random<var(50) * 1

[State -1, Dragun]
type = ChangeState
value = 1015
Triggerall = var(59)>0
triggerall = numhelper(1011) = 0
triggerall = statetype = A
Triggerall = p2bodydist x >= 0
triggerall = power >= 1000
trigger1 = ctrl
trigger1 = random<var(50) * 0.3

[State -1,Mom'sKnife]
type = ChangeState
value = 544
Triggerall = var(59)>0
triggerall = statetype = A
triggerall = numhelper(541) = 0
Trigger1 = p2bodydist x  <= 70
trigger1 = ctrl
trigger1 = random<var(50) * 5

[State -1,Mom'sKnife]
type = ChangeState
value = 546
Triggerall = var(59)>0
triggerall = statetype = A
triggerall = numhelper(541) = 0
Trigger1 = p2bodydist x  >= 70
trigger1 = ctrl
trigger1 = random<var(50) * 6

[State -1, Mudah]
type = ChangeState
value = 255
Triggerall = var(59)>0
triggerall = statetype = A
Triggerall = p2bodydist x  = [90,0]
Triggerall = p2bodydist y = [-40,40]
trigger1 = ctrl
trigger1 = random<var(50) * 25

[State -1, Gnasher]
type = ChangeState
value = 525
Triggerall = var(59)>0
triggerall = statetype = A
Trigger1 = p2bodydist x  < 100
trigger1 = pos y = [-30,0]
trigger1 = random<var(50) * 0.3

[State -1, M8]
type = ChangeState
value = 515
Triggerall = var(59)>0
triggerall = statetype = A
Triggerall = p2bodydist x  >= 100
trigger1 = ctrl
trigger1 = random<var(50) * 0.3

[State -1, Shine]
type = ChangeState
value = 225
Triggerall = var(59)>0
Triggerall = p2bodydist x  = [45,0]
Triggerall = p2bodydist y = [-40,40]
triggerall = statetype = A
trigger1 = ctrl
trigger1 = random<var(50) * 10

[State -1. Punch]
type = ChangeState
value = 205
Triggerall = var(59)>0
triggerall = statetype = A
Triggerall = p2bodydist x <= 90
Triggerall = p2bodydist y = [-40,40]
trigger1 = ctrl 
trigger1 = random<var(50) * 10
trigger2 = stateno = 201 && animtime = 0

[State -1, GasPasser]
type = ChangeState
value = 505
Triggerall = var(59)>0
triggerall = numhelper(503) = 0
triggerall = statetype = A
Triggerall = p2bodydist x >= 0
triggerall = !(enemynear,hitfall)
trigger1 = ctrl
trigger1 = random<var(50) * 10

[State -1, Uppercut]
type = ChangeState
value = 235
Triggerall = var(59)>0
triggerall = statetype = A
Triggerall = p2bodydist x  = [40,0]
trigger1 = ctrl
trigger1 = random<var(50) * 3

[State -1, Smash]
type = ChangeState
value = 215
Triggerall = var(59)>0
triggerall = statetype = A
trigger1 = ctrl
trigger1 = random<var(50) * 2

[State -1,Jump]
type=changestate
Triggerall = var(59)>0
Triggerall = stateno = 100
triggerall = statetype = S
trigger1 = random<var(50) * 0.5
trigger2 = p2statetype = A
trigger2 = random<var(50) * 10
value = 40

[State -1, BigRigs]
type = ChangeState
value = 3000
Triggerall = var(59)>0
triggerall = power >= 3000
triggerall = statetype = S
trigger1 = ctrl
trigger1 = random<var(50) * 10

[State -1, MaliceCannon]
type = ChangeState
value = 2040
Triggerall = var(59)>0
triggerall = numhelper(2044) = 0
triggerall = power >= 2000
triggerall = statetype = S
trigger1 = ctrl
trigger1 = random<var(50) * 2

[State -1, MaliceCannon]
type = ChangeState
value = 2040
Triggerall = var(59)>0
triggerall = numhelper(2044) = 0
triggerall = power >= 2000
triggerall = statetype = S
trigger1 = stateno = 100
trigger1 = random<var(50) * 2

[State -1, Flanders]
type = ChangeState
value = 2000
Triggerall = var(59)>0
triggerall = numhelper(2001) = 0
triggerall = power >= 2000
triggerall = statetype = S
trigger1 = stateno = 100
trigger1 = random<var(50) * 2.5

[State -1, Flanders]
type = ChangeState
value = 2000
Triggerall = var(59)>0
triggerall = numhelper(2001) = 0
triggerall = power >= 2000
triggerall = statetype = S
trigger1 = ctrl
trigger1 = random<var(50) * 2.5

[State -1, Brute]
type = ChangeState
value = 2010
Triggerall = var(59)>0
triggerall = power >= 2000
triggerall = statetype = S
trigger1 = stateno = 100
trigger1 = random<var(50) * 2.5

[State -1, Brute]
type = ChangeState
value = 2010
Triggerall = var(59)>0
triggerall = power >= 2000
triggerall = statetype = S
trigger1 = ctrl
trigger1 = random<var(50) * 2.5

[State -1, Staircase]
type = ChangeState
value = 2020
Triggerall = var(59)>0
triggerall = power >= 2000
triggerall = statetype = S
trigger1 = stateno = 100
trigger1 = random<var(50) * 2

[State -1, Staircase]
type = ChangeState
value = 2020
Triggerall = var(59)>0
triggerall = power >= 2000
triggerall = statetype = S
trigger1 = ctrl
trigger1 = random<var(50) * 2

[State -1, Mewtwo]
type = ChangeState
value = 2030
Triggerall = var(59)>0
triggerall = power >= 2000
triggerall = numhelper(2032) = 0
trigger1 = statetype = S
trigger1 = ctrl
trigger1 = random<var(50) * 2

[State -1, Mewtwo]
type = ChangeState
value = 2030
Triggerall = var(59)>0
triggerall = power >= 2000
triggerall = numhelper(2032) = 0
trigger1 = statetype = S
trigger1 = stateno = 100
trigger1 = random<var(50) * 2

[State -1, Shield]
type = ChangeState
value = 1020
Triggerall = var(59)>0
triggerall = numhelper(1021) = 0
triggerall = power >= 1000
triggerall = statetype = S
trigger1 = stateno = 100
trigger1 = random<var(50) * 3

[State -1, Shield]
type = ChangeState
value = 1020
Triggerall = var(59)>0
triggerall = numhelper(1021) = 0
triggerall = power >= 1000
triggerall = statetype = S
trigger1 = ctrl
trigger1 = random<var(50) * 3

[State -1, Escudo]
type = ChangeState
value = 1000
Triggerall = var(59)>0
triggerall = numhelper(1001) = 0
triggerall = power >= 1000
triggerall = statetype = S
triggerall = p2statetype = S
trigger1 = stateno = 100
trigger1 = random<var(50) * 3.5

[State -1, Escudo]
type = ChangeState
value = 1000
Triggerall = var(59)>0
triggerall = numhelper(1001) = 0
triggerall = power >= 1000
triggerall = statetype = S
triggerall = p2statetype = S
trigger1 = ctrl
trigger1 = random<var(50) * 3.5

[State -1, Flukenest]
type = ChangeState
value = 1040
Triggerall = var(59)>0
triggerall = numhelper(1041) = 0
triggerall = power >= 1000
triggerall = statetype = S
Triggerall = p2bodydist x  <= 75
Triggerall = p2bodydist y = [-50,50]
trigger1 = stateno = 100
trigger1 = random<var(50) * 3

[State -1, Flukenest]
type = ChangeState
value = 1040
Triggerall = var(59)>0
triggerall = numhelper(1041) = 0
triggerall = power >= 1000
triggerall = statetype = S
Triggerall = p2bodydist x  <= 75
Triggerall = p2bodydist y = [-50,50]
trigger1 = ctrl
trigger1 = random<var(50) * 3

[State -1, Dragun]
type = ChangeState
value = 1010
Triggerall = var(59)>0
triggerall = numhelper(1011) = 0
triggerall = power >= 1000
triggerall = statetype = S
triggerall = p2bodydist y = [-30,30]
trigger1 = stateno = 100
trigger1 = random<var(50) * 2.6

[State -1, Dragun]
type = ChangeState
value = 1010
Triggerall = var(59)>0
triggerall = numhelper(1011) = 0
triggerall = power >= 1000
triggerall = statetype = S
triggerall = p2bodydist y = [-30,30]
trigger1 = ctrl
trigger1 = random<var(50) * 2.6

[State -1, ShortCircuit]
type = ChangeState
value = 1035
Triggerall = var(59)>0
triggerall = power >= 1000
triggerall = numhelper(1031) = 0
triggerall = var(20) = [32787,65536]
trigger1 = statetype = S
trigger1 = ctrl
trigger1 = random<var(50) * 2.2

[State -1, ShortCircuit]
type = ChangeState
value = 1035
Triggerall = var(59)>0
triggerall = power >= 1000
triggerall = numhelper(1031) = 0
triggerall = var(20) = [32787,65536]
trigger1 = statetype = S
trigger1 = stateno = 100
trigger1 = random<var(50) * 2.2

[State -1, ShortCircuit]
type = ChangeState
value = 1030
Triggerall = var(59)>0
triggerall = power >= 1000
triggerall = numhelper(1031) = 0
triggerall = var(20) = [0,32786]
trigger1 = statetype = S
trigger1 = ctrl
trigger1 = random<var(50) * 2.2

[State -1, ShortCircuit]
type = ChangeState
value = 1030
Triggerall = var(59)>0
triggerall = power >= 1000
triggerall = numhelper(1031) = 0
triggerall = var(20) = [0,32786]
trigger1 = statetype = S
trigger1 = stateno = 100
trigger1 = random<var(50) * 2.2

[State -1,WitchTime]
type = ChangeState
value = 550
Triggerall = var(59)>0
triggerall = statetype = S
Triggerall = p2bodydist x  <= 200
Trigger1 = p2MoveType = A
trigger1 = ctrl
trigger1 = random<var(50) * 75

[State -1,WitchTime]
type = ChangeState
value = 550
Triggerall = var(59)>0
triggerall = statetype = S
Triggerall = p2bodydist x  <= 200
Trigger1 = p2MoveType = A
trigger1 = stateno = 100
trigger1 = random<var(50) * 75

[State -1, Uppercut]
type = ChangeState
value = 230
Triggerall = var(59)>0
triggerall = statetype = S
Trigger1 = p2bodydist x <= 100
trigger1 = ctrl
trigger1 = random<var(50) * 25

[State -1, Uppercut]
type = ChangeState
value = 230
Triggerall = var(59)>0
triggerall = statetype = S
Trigger1 = p2bodydist x  <= 100
trigger1 = stateno = 100
trigger1 = random<var(50) * 25

[State -1, Shine]
type = ChangeState
value = 220
Triggerall = var(59)>0
Triggerall = p2bodydist x  <= 45
triggerall = statetype = S
Triggerall = p2statetype = S
trigger1 = ctrl
trigger1 = random<var(50) * 30

[State -1, Shine]
type = ChangeState
value = 220
Triggerall = var(59)>0
Triggerall = p2bodydist x  <= 45
triggerall = statetype = S
Triggerall = p2statetype = S
trigger1 = stateno = 100
trigger1 = random<var(50) * 30

[State -1, GasPasser]
type = ChangeState
value = 500
Triggerall = var(59)>0
triggerall = numhelper(503) = 0
triggerall = statetype = S
Triggerall = p2bodydist y = [-50,50]
triggerall = !(enemynear,hitfall)
trigger1 = ctrl
trigger1 = random<var(50) * 15

[State -1, GasPasser]
type = ChangeState
value = 500
Triggerall = var(59)>0
triggerall = numhelper(503) = 0
triggerall = statetype = S
Triggerall = p2bodydist y = [-50,50]
trigger1 = stateno = 100
trigger1 = random<var(50) * 15

[State -1, CornCob]
type = ChangeState
value = 530
Triggerall = var(59)>0
triggerall = statetype = S
Triggerall = Numhelper(531) = 0
trigger1 = ctrl
trigger1 = random<var(50) * 20

[State -1, CornCob]
type = ChangeState
value = 530
Triggerall = var(59)>0
triggerall = statetype = S
Triggerall = Numhelper(531) = 0
trigger1 = stateno = 100
trigger1 = random<var(50) * 20

[State -1, Kirov]
type = ChangeState
value = 560
Triggerall = var(59)>0
triggerall = statetype = S
Triggerall = Numhelper(561) = 0
trigger1 = ctrl
trigger1 = random<var(50) * 20

[State -1, Kirov]
type = ChangeState
value = 560
Triggerall = var(59)>0
triggerall = statetype = S
Triggerall = Numhelper(561) = 0
trigger1 = stateno = 100
trigger1 = random<var(50) * 20

[State -1, BoJackson]
type = ChangeState
value = 600
Triggerall = var(59)>0
triggerall = statetype = S
Triggerall = Numhelper(601) = 0
trigger1 = ctrl
trigger1 = random<var(50) * 20

[State -1, BoJackson]
type = ChangeState
value = 600
Triggerall = var(59)>0
triggerall = statetype = S
Triggerall = Numhelper(601) = 0
trigger1 = stateno = 100
trigger1 = random<var(50) * 20

[State -1,Mom'sKnife]
type = ChangeState
value = 540
Triggerall = var(59)>0
triggerall = statetype = S
triggerall = numhelper(541) = 0
Trigger1 = p2bodydist x  <= 70
trigger1 = ctrl
trigger1 = random<var(50) * 20

[State -1,Mom'sKnife]
type = ChangeState
value = 540
Triggerall = var(59)>0
triggerall = statetype = S
triggerall = numhelper(541) = 0
Trigger1 = p2bodydist x  <= 70
trigger1 = stateno = 100
trigger1 = random<var(50) * 20

[State -1,Mom'sKnife]
type = ChangeState
value = 542
Triggerall = var(59)>0
triggerall = statetype = S
triggerall = numhelper(541) = 0
Trigger1 = p2bodydist x  >= 70
trigger1 = ctrl
trigger1 = random<var(50) * 12

[State -1,Mom'sKnife]
type = ChangeState
value = 542
Triggerall = var(59)>0
triggerall = statetype = S
triggerall = numhelper(541) = 0
Trigger1 = p2bodydist x  >= 70
trigger1 = stateno = 100
trigger1 = random<var(50) * 12

[State -1, MetalBlade]
type = ChangeState
value = 590
Triggerall = var(59)>0
triggerall = ctrl
Triggerall = numhelper(591) = 0
triggerall = statetype = S
Trigger1 = P2statetype = S
Trigger1 = p2bodydist x  >= 100
Trigger1 = p2bodydist x  <= 10
trigger1 = random<var(50) * 10
Trigger2 = P2statetype = S
Trigger2 = p2bodydist x  < 100
trigger2 = random<var(50) * 15
Trigger3 = P2statetype = A
trigger3 = random<var(50) * 20

[State -1, MetalBlade]
type = ChangeState
value = 590
Triggerall = var(59)>0
triggerall = stateno = 100
triggerall = statetype = S
Triggerall = numhelper(591) = 0
Trigger1 = P2statetype = S
Trigger1 = p2bodydist x  >= 100
Trigger1 = p2bodydist x  <= 10
trigger1 = random<var(50) * 10
Trigger2 = P2statetype = S
Trigger2 = p2bodydist x  < 100
trigger2 = random<var(50) * 15
Trigger3 = P2statetype = A
trigger3 = random<var(50) * 20

[State -1, Gnasher]
type = ChangeState
value = 520
Triggerall = var(59)>0
triggerall = statetype = S
Triggerall = P2statetype = S
Trigger1 = p2bodydist x  <= 100
trigger1 = ctrl
trigger1 = random<var(50) * 10

[State -1, Gnasher]
type = ChangeState
value = 520
Triggerall = var(59)>0
triggerall = statetype = S
Triggerall = P2statetype = S
Trigger1 = p2bodydist x  <= 100
trigger1 = stateno = 100
trigger1 = random<var(50) * 10

[State -1, M8]
type = ChangeState
value = 510
Triggerall = var(59)>0
triggerall = statetype = S
Triggerall = P2statetype = S
Triggerall = p2bodydist x  >= 100
trigger1 = ctrl
trigger1 = random<var(50) * 20

[State -1, M8]
type = ChangeState
value = 510
Triggerall = var(59)>0
triggerall = statetype = S
Triggerall = P2statetype = S
Triggerall = p2bodydist x  >= 100
trigger1 = stateno = 100
trigger1 = random<var(50) * 20

[State -1, CreditCard]
type = ChangeState
value = 570
Triggerall = var(59)>0
triggerall = statetype = S
Trigger1 = p2bodydist x <= 110
trigger1 = ctrl
trigger1 = random<var(50) * 40

[State -1, CreditCard]
type = ChangeState
value = 570
Triggerall = var(59)>0
triggerall = statetype = S
Trigger1 = p2bodydist x <= 110
trigger1 = stateno = 100
trigger1 = random<var(50) * 40

[State -1, Mudah]
type = ChangeState
value = 250
Triggerall = var(59)>0
triggerall = statetype = S
Triggerall = p2bodydist x  <= 100
trigger1 = ctrl
trigger1 = random<var(50) * 10

[State -1, Mudah]
type = ChangeState
value = 250
Triggerall = var(59)>0
triggerall = statetype = S
Triggerall = p2bodydist x  <= 100
trigger1 = stateno = 100
trigger1 = random<var(50) * 10

[State -1, Zoop]
type = ChangeState
value = 240
Triggerall = var(59)>0
triggerall = statetype = S
trigger1 = ctrl
trigger1 = random<var(50) * 30

[State -1, Zoop]
type = ChangeState
value = 240
Triggerall = var(59)>0
triggerall = statetype = S
trigger1 = stateno = 100
trigger1 = random<var(50) * 30

[State -1, Smash]
type = ChangeState
value = 210
Triggerall = var(59)>0
triggerall = statetype = S
Triggerall = p2bodydist x  >= 80
trigger1 = ctrl
trigger1 = random<var(50) * 10

[State -1, Smash]
type = ChangeState
value = 210
Triggerall = var(59)>0
triggerall = statetype = S
Triggerall = p2bodydist x  >= 80
trigger1 = stateno = 100
trigger1 = random<var(50) * 10

[State -1, Punch]
type = ChangeState
value = 200
Triggerall = var(59)>0
Triggerall = p2bodydist x  <= 90
triggerall = statetype = S
trigger1 = ctrl
trigger1 = random<var(50) * 10
trigger2 = stateno = 201 && animtime = 0

[State -1, Punch]
type = ChangeState
value = 200
Triggerall = var(59)>0
Triggerall = p2bodydist x  <= 90
triggerall = statetype = S
trigger1 = stateno = 100
trigger1 = random<var(50) * 10
trigger2 = stateno = 201 && animtime = 0

[State -1,Run_Fwd]
type=changestate
Triggerall = var(59)>0
Triggerall = alive = 1
Triggerall = ctrl
triggerall = RoundState = 2
triggerall = statetype = S
Triggerall = p2bodydist x  >= 5
trigger1 = random<var(50) * 100
value = 100


;======================================;

[State -1, Run Fwd]
type = ChangeState
value = 100
triggerall = Var(59) <= 0
trigger1 = command = "FF"
trigger1 = statetype = S
trigger1 = ctrl

[State -1, Dash Back]
type = ChangeState
value = 105
triggerall = Var(59) <= 0
trigger1 = command = "BB"
trigger1 = statetype = S
trigger1 = ctrl

;======================================;

[State -1, BigRigs]
type = ChangeState
value = 3000
triggerall = Var(59) <= 0
triggerall = power >= 3000
triggerall = command = "BigRigs"
trigger1 = statetype = S
trigger1 = ctrl

[State -1, MaliceCannon]
type = ChangeState
value = 2040
triggerall = Var(59) <= 0
triggerall = power >= 2000
triggerall = command = "MaliceCannon"
triggerall = numhelper(2044) = 0
trigger1 = statetype = S
trigger1 = ctrl

[State -1, Mewtwo]
type = ChangeState
value = 2030
triggerall = Var(59) <= 0
triggerall = command = "Mewtwo"
triggerall = power >= 2000
triggerall = numhelper(2032) = 0
trigger1 = statetype = S
trigger1 = ctrl

[State -1, Staircase]
type = ChangeState
value = 2020
triggerall = Var(59) <= 0
triggerall = command = "Yahoo"
triggerall = power >= 2000
trigger1 = statetype = S
trigger1 = ctrl

[State -1, Brute]
type = ChangeState
value = 2010
triggerall = Var(59) <= 0
triggerall = command = "Brute"
triggerall = power >= 2000
trigger1 = statetype = S
trigger1 = ctrl

[State -1, Flanders]
type = ChangeState
value = 2000
triggerall = Var(59) <= 0
triggerall = command = "Flanders"
triggerall = power >= 2000
triggerall = numhelper(2001) = 0
trigger1 = statetype = S
trigger1 = ctrl

[State -1, Flukenest]
type = ChangeState
value = 1045
triggerall = Var(59) <= 0
triggerall = power >= 1000
triggerall = command = "Flukenest"
triggerall = numhelper(1053) = 0
trigger1 = statetype = A
trigger1 = ctrl

[State -1, Flukenest]
type = ChangeState
value = 1040
triggerall = Var(59) <= 0
triggerall = power >= 1000
triggerall = command = "Flukenest"
triggerall = numhelper(1041) = 0
trigger1 = statetype = S
trigger1 = ctrl

[State -1, ShortCircuit]
type = ChangeState
value = 1035
triggerall = Var(59) <= 0
triggerall = command = "ShortCircuit"
triggerall = power >= 1000
triggerall = numhelper(1031) = 0
triggerall = var(20) = [32787,65536]
trigger1 = statetype = S
trigger1 = ctrl

[State -1, ShortCircuit]
type = ChangeState
value = 1030
triggerall = Var(59) <= 0
triggerall = command = "ShortCircuit"
triggerall = power >= 1000
triggerall = numhelper(1031) = 0
triggerall = var(20) = [0,32786]
trigger1 = statetype = S
trigger1 = ctrl

[State -1, Shield]
type = ChangeState
value = 1020
triggerall = Var(59) <= 0
triggerall = command = "Shield"
triggerall = power >= 1000
triggerall = numhelper(1021) = 0
trigger1 = statetype = S
trigger1 = ctrl

[State -1, Dragun]
type = ChangeState
value = 1015
triggerall = Var(59) <= 0
triggerall = command = "Dragun"
triggerall = power >= 1000
triggerall = numhelper(1011) = 0
trigger1 = statetype = A
trigger1 = ctrl

[State -1, Dragun]
type = ChangeState
value = 1010
triggerall = Var(59) <= 0
triggerall = command = "Dragun"
triggerall = power >= 1000
triggerall = numhelper(1011) = 0
trigger1 = statetype = S
trigger1 = ctrl

[State -1, Escudo]
type = ChangeState
value = 1000
triggerall = Var(59) <= 0
triggerall = command = "Car"
triggerall = numhelper(1001) = 0
triggerall = power >= 1000
trigger1 = statetype = S
trigger1 = ctrl

[State -1, Punch]
type = ChangeState
value = 200
triggerall = Var(59) <= 0
triggerall = command = "x"
triggerall = command != "holddown"
triggerall = command != "holdfwd"
triggerall = command != "holdback"
trigger1 = statetype = S
trigger1 = ctrl
trigger2 = stateno = 200

[State -1, Punch]
type = ChangeState
value = 205
triggerall = Var(59) <= 0
triggerall = command = "x"
triggerall = command != "holddown"
triggerall = command != "holdfwd"
triggerall = command != "holdback"
trigger1 = statetype = A
trigger1 = ctrl
trigger2 = stateno = 205

[State -1, Smash]
type = ChangeState
value = 210
triggerall = Var(59) <= 0
triggerall = command = "y"
triggerall = command != "holddown"
triggerall = command != "holdback"
trigger1 = statetype = S
trigger1 = ctrl

[State -1, Smash]
type = ChangeState
value = 215
triggerall = Var(59) <= 0
triggerall = command = "y"
triggerall = command != "holddown"
triggerall = command != "holdback"
trigger1 = statetype = A
trigger1 = ctrl

[State -1, Shine]
type = ChangeState
value = 220
triggerall = Var(59) <= 0
triggerall = command = "z"
triggerall = ctrl
trigger1 = statetype = S
trigger2 = statetype = C

[State -1, Shine]
type = ChangeState
value = 225
triggerall = Var(59) <= 0
triggerall = command = "z"
triggerall = command != "holdfwd"
triggerall = command != "holddown"
triggerall = command != "holdback"
triggerall = ctrl
trigger1 = statetype = A

[State -1, Uppercut]
type = ChangeState
value = 230
triggerall = Var(59) <= 0
triggerall = command = "a"
triggerall = command != "holdfwd"
triggerall = command != "holddown"
triggerall = command != "holdback"
trigger1 = statetype = S
trigger1 = ctrl
trigger2 = stateno = 240
trigger3 = stateno = 210

[State -1, Uppercut]
type = ChangeState
value = 235
triggerall = Var(59) <= 0
triggerall = command = "a"
triggerall = command != "holdup"
triggerall = command != "holdfwd"
triggerall = command != "holddown"
triggerall = command != "holdback"
trigger1 = statetype = A
trigger1 = ctrl
trigger2 = stateno = 215
trigger3 = stateno = 245

[State -1, Zoop]
type = ChangeState
value = 240
triggerall = Var(59) <= 0
triggerall = command = "b"
triggerall = command != "holdfwd"
triggerall = command != "holddown"
triggerall = command != "holdback"
trigger1 = statetype = S
trigger1 = ctrl

[State -1, Zoop]
type = ChangeState
value = 245
triggerall = Var(59) <= 0
triggerall = command = "b"
triggerall = command != "holdfwd"
triggerall = command != "holddown"
triggerall = command != "holdback"
trigger1 = statetype = A
trigger1 = ctrl

[State -1, Mudah]
type = ChangeState
value = 250
triggerall = Var(59) <= 0
triggerall = command = "Holdc"
triggerall = command != "holddown"
triggerall = command != "holdback"
triggerall = command != "holdfwd"
trigger1 = statetype = S
trigger1 = ctrl

[State -1, Mudah]
type = ChangeState
value = 255
triggerall = Var(59) <= 0
triggerall = command = "Holdc"
triggerall = command != "holddown"
trigger1 = statetype = A
trigger1 = ctrl

[State -1, GasPasser]
type = ChangeState
value = 500
triggerall = Var(59) <= 0
triggerall = command = "holdfwd"
triggerall = command = "a"
triggerall = numhelper(503) = 0
trigger1 = statetype = S
trigger1 = ctrl

[State -1, GasPasser]
type = ChangeState
value = 505
triggerall = Var(59) <= 0
triggerall = command = "holdfwd"
triggerall = command = "a"
triggerall = numhelper(503) = 0
trigger1 = statetype = A
trigger1 = ctrl

[State -1, M8]
type = ChangeState
value = 510
triggerall = Var(59) <= 0
triggerall = command = "holdfwd"
triggerall = command = "x"
trigger1 = statetype = S
trigger1 = ctrl

[State -1, M8]
type = ChangeState
value = 515
triggerall = Var(59) <= 0
triggerall = command = "holdfwd"
triggerall = command = "x"
trigger1 = statetype = A
trigger1 = ctrl

[State -1, Gnasher]
type = ChangeState
value = 520
triggerall = Var(59) <= 0
triggerall = command = "holdback"
triggerall = command = "x"
trigger1 = statetype = S
trigger1 = ctrl

[State -1, Gnasher]
type = ChangeState
value = 525
triggerall = Var(59) <= 0
triggerall = command = "holdback"
triggerall = command = "x"
trigger1 = statetype = A
trigger1 = ctrl

[State -1, CornCob]
type = ChangeState
value = 530
triggerall = Var(59) <= 0
triggerall = command = "holdfwd"
triggerall = command = "b"
triggerall = numhelper(531) = 0
trigger1 = statetype = S
trigger1 = ctrl

[State -1, Metalblade]
type = ChangeState
value = 590
triggerall = Var(59) <= 0
triggerall = command = "holddown"
triggerall = command = "x"
triggerall = numhelper(591) = 0
trigger1 = statetype = C
trigger1 = ctrl

[State -1, MetalbladeA]
type = ChangeState
value = 596
triggerall = Var(59) <= 0
triggerall = command = "holddown"
triggerall = command = "x"
triggerall = numhelper(591) = 0
trigger1 = statetype = A
trigger1 = ctrl

[State -1, BoJackson]
type = ChangeState
value = 600
triggerall = Var(59) <= 0
triggerall = command = "holdback"
triggerall = command = "b"
triggerall = numhelper(601) = 0
trigger1 = statetype = S
trigger1 = ctrl


[State -1, BoJackson]
type = ChangeState
value = 607
triggerall = Var(59) <= 0
triggerall = command = "holdback"
triggerall = command = "b"
triggerall = numhelper(601) = 0
trigger1 = statetype = A
trigger1 = ctrl

[State -1, CornCob]
type = ChangeState
value = 537
triggerall = Var(59) <= 0
triggerall = command = "holdfwd"
triggerall = command = "b"
triggerall = numhelper(531) = 0
trigger1 = statetype = A
trigger1 = ctrl

[State -1, MomsKnifeL]
type = ChangeState
value = 540
triggerall = Var(59) <= 0
triggerall = command = "holddown"
triggerall = command = "a"
triggerall = numhelper(541) = 0
trigger1 = statetype = C
trigger1 = ctrl

[State -1, MomsKnifeL]
type = ChangeState
value = 544
triggerall = Var(59) <= 0
triggerall = command = "holddown"
triggerall = command = "a"
triggerall = numhelper(541) = 0
trigger1 = statetype = A
trigger1 = ctrl

[State -1, MomsKnifeH]
type = ChangeState
value = 542
triggerall = Var(59) <= 0
triggerall = command = "holddown"
triggerall = command = "b"
triggerall = numhelper(541) = 0
trigger1 = statetype = C
trigger1 = ctrl

[State -1, MomsKnifeH]
type = ChangeState
value = 546
triggerall = Var(59) <= 0
triggerall = command = "holddown"
triggerall = command = "b"
triggerall = numhelper(541) = 0
trigger1 = statetype = A
trigger1 = ctrl

[State -1, WitchTime]
type = ChangeState
value = 550
triggerall = Var(59) <= 0
triggerall = command = "holddown"
triggerall = command = "c"
trigger1 = statetype = C
trigger1 = ctrl

[State -1, WitchTime]
type = ChangeState
value = 555
triggerall = Var(59) <= 0
triggerall = command = "holddown"
triggerall = command = "c"
trigger1 = statetype = A
trigger1 = ctrl

[State -1, Kirov]
type = ChangeState
value = 560
triggerall = Var(59) <= 0
triggerall = command = "holdback"
triggerall = command = "y"
Triggerall = Numhelper(561) = 0
trigger1 = statetype = S
trigger1 = ctrl

[State -1, Kirov]
type = ChangeState
value = 565
triggerall = Var(59) <= 0
triggerall = command = "holdback"
triggerall = command = "y"
Triggerall = Numhelper(561) = 0
trigger1 = statetype = A
trigger1 = ctrl

[State -1, CreditCard]
type = ChangeState
value = 570
triggerall = Var(59) <= 0
triggerall = command = "holdback"
triggerall = command = "a"
trigger1 = statetype = S
trigger1 = ctrl

[State -1, ShuttleLoop]
type = ChangeState
value = 580
triggerall = Var(59) <= 0
triggerall = command = "holdup"
triggerall = command = "a"
trigger1 = statetype = A
trigger1 = ctrl

[State -1,BlackLotus]
type = ChangeState
value = 9000
triggerall = Var(59) <= 0
triggerall = command = "s"
triggerall = var(12) = 0
trigger1 = statetype = S
trigger1 = ctrl




